VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "objCmdSet"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Public Username As String
Public Command As String
Public Message As String
Public Index As Integer
Public Display As Integer   '0 - Spoken, 1 - Whisper, 2 - Emote, 3 - Console
Public IsConsole As Boolean

Public Property Get Bot() As Object
    Set Bot = frmBOt.Bot(Index)
End Property

Public Property Get UserRank() As String
On Error Resume Next
    Dim R As RankingStruct
    R = GetAccess(Me)
    UserRank = R.RankName
End Property

Public Sub Reply(Text, Optional Color = &HFFFFFF, Optional OverrideDisplay = -1)
On Error GoTo hErr:
    Dim MyDisplay As Integer
    MyDisplay = Display
1   If MyDisplay = 3 And Options.DisableVerboseConsole = False Then MyDisplay = 0
2   If Val(OverrideDisplay) > -1 And Val(OverrideDisplay) < 4 Then MyDisplay = Val(OverrideDisplay)
    Select Case MyDisplay
    Case 0
4       frmBOt.Bot(Index).SendText CStr(Text), Username
5   Case 1
        If LenB(Username) <> 0 Then
6           frmBOt.Bot(Index).SendAway "/w " & Username & " " & Text
        Else
            frmBOt.Bot(Index).SendText CStr(Text), Username
        End If
7   Case 2
8       frmBOt.Bot(Index).SendAway "/me " & Text
    Case Else
9       OutputTime frmBOt.rtbChat(Index)
10      OutputPart frmBOt.rtbChat(Index), CLng(Color), Text & vbNewLine, False
    End Select
    Exit Sub
hErr:
    ErrorHandler Err.Number, Err.Description, Erl, "CommandSettings", "Reply"
End Sub

